Bug 332782 - Untranslatable channel names
Summary: Untranslatable channel names
Status: RESOLVED FIXED
Alias: None
Product: kmix
Classification: Unclassified
Component: general (show other bugs)
Version: 4.4
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Christian Esken
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-29 19:21 UTC by Alexander Potashev
Modified: 2014-04-04 14:42 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot with strings "Left" and "Right" without translation (38.59 KB, image/png)
2014-03-29 19:26 UTC, Alexander Potashev
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Potashev 2014-03-29 19:21:32 UTC
The following channel names are not translatable, see kmix/core/volume.cpp:
 41 QString Volume::ChannelNameReadable[9] =
 42 {
 43                 "Left", "Right",
 44                 "Center", "Subwoofer",
 45                 "Surround Left", "Surround Right",
 46                 "Side Left", "Side Right",
 47                 "Rear Center"
 48 };

Reproducible: Always
Comment 1 Alexander Potashev 2014-03-29 19:26:38 UTC
Created attachment 85828 [details]
screenshot with strings "Left" and "Right" without translation

Screenshot with strings "Left" and "Right" without translation.

Russian l10n. KMix (kmix.po) and Pulseaudio (pulseaudio.po) are 100% translated into Russian.
Comment 2 Christian Esken 2014-04-04 14:22:28 UTC
Acknowledged. Adding support for it.
Comment 3 Christian Esken 2014-04-04 14:42:29 UTC
Git commit 4944c548727f8d411fed11cf083ce6b061de43e6 by Christian Esken.
Committed on 04/04/2014 at 14:41.
Pushed by esken into branch 'master'.

Support translation of channel names (e.g. Left, Rear back Subwoofer)

M  +13   -5    core/volume.cpp

http://commits.kde.org/kmix/4944c548727f8d411fed11cf083ce6b061de43e6